Main Page Widgets Namespaces Book

# Gtk::CellEditable Class Reference

Inheritance diagram for Gtk::CellEditable:

[legend]

List of all members.

## Detailed Description

Interface for widgets which are used for editing cells.

The CellEditable interface must be implemented for widgets to be usable when editing the contents of a TreeView cell.

## Public Member Functions

void | editing_done ()
| Emits the Gtk::CellEditable::editing-done signal.
const GtkCellEditable* | gobj () const
| Provides access to the underlying C GObject.
GtkCellEditable* | gobj ()
| Provides access to the underlying C GObject.
void | remove_widget ()
| Emits the Gtk::CellEditable::remove-widget signal.
Glib::SignalProxy0<void> | signal_editing_done ()
Glib::SignalProxy0<void> | signal_remove_widget ()
void | start_editing (GdkEvent* event)
| Begins editing on a cell_editable.
virtual | ~CellEditable ()

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Protected Member Functions

virtual void | on_editing_done ()
virtual void | on_remove_widget ()
virtual void | start_editing_vfunc (GdkEvent* event)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::CellEditable> | wrap (GtkCellEditable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::CellEditable::~CellEditable | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gtk::CellEditable::add_interface | ( | GType | gtype_implementer | ) | `[static]`

void Gtk::CellEditable::editing_done | ( |  | ) |

Emits the Gtk::CellEditable::editing-done signal.

const GtkCellEditable* Gtk::CellEditable::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::Entry, and Gtk::SpinButton.

GtkCellEditable* Gtk::CellEditable::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::Entry, and Gtk::SpinButton.

virtual void Gtk::CellEditable::on_editing_done | ( |  | ) | `[protected, virtual]`

virtual void Gtk::CellEditable::on_remove_widget | ( |  | ) | `[protected, virtual]`

void Gtk::CellEditable::remove_widget | ( |  | ) |

Emits the Gtk::CellEditable::remove-widget signal.

Glib::SignalProxy0< void > Gtk::CellEditable::signal_editing_done | ( |  | ) |

Prototype:
  `void on_my_editing_done()`

Glib::SignalProxy0< void > Gtk::CellEditable::signal_remove_widget | ( |  | ) |

Prototype:
  `void on_my_remove_widget()`

void Gtk::CellEditable::start_editing | ( | GdkEvent * | event | ) |

Begins editing on a cell_editable.

event is the Gdk::Event that began the editing process. It may be `0`, in the instance that editing was initiated through programatic means.

Parameters:

  | event | A Gdk::Event, or `0`.

virtual void Gtk::CellEditable::start_editing_vfunc | ( | GdkEvent * | event | ) | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::CellEditable> wrap | ( | GtkCellEditable * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- celleditable.h